PROP_BOOL(3)

NAME
prop_bool, prop_bool_create, prop_bool_copy, prop_bool_true - boolean value property object

LIBRARY
libprop

SYNOPSIS
#include <prop/proplib.h>
prop_bool_t
prop_bool_create(bool val);
prop_bool_t
prop_bool_copy(prop_bool_t bool);
bool
prop_bool_true(prop_bool_t bool);

DESCRIPTION
The prop_bool family of functions operate on a boolean value property object type.

prop_bool_create(bool val)
    Create a boolean value object with the value val.

prop_bool_copy(prop_bool_t bool)
    Copy a boolean value object. If the supplied object isn't a boolean, NULL is returned.

prop_bool_true(prop_bool_t bool)
    Returns the value of the boolean value object. If the supplied object isn't a boolean, false is returned.

SEE ALSO
prop_array(3), prop_data(3), prop_dictionary(3), prop_number(3), prop_object(3), prop_string(3), proplib(3)

HISTORY
The proplib property container object library first appeared in NetBSD 4.0.